<?php
/**	
 *
 *	COUNTRY CLASS
 *	Author: Paul Hamlington
 *	Purpose: Convert country codes to country names. 
 * 
 */

    /** [ SET NAMESPACE: MODULIZED DOCSAWAY ] */
    namespace modulized_docsaway;
	

    /** [ COUNTRY CLASS ] */
    class country
        {

		
	    /** --------------------------> CLASS INTERFACE METHODS <--------------------------*/
		
        
	    /** [ METHOD: PATHS ] */
        public static function conv($ISO2){return(self::convFunc($ISO2));}


	    /** --------------------------> CLASS FUNCTIONALITY METHODS <--------------------------*/
		
                             
        /** [ METHOD: CONVERSION ] */
        private static function convFunc($ISO2)
            {
            /** [ COUNTRYS: ARRAY ] */
            $arr['AF']='Afghanistan';
            $arr['AX']='Aland Islands';
            $arr['AL']='Albania';
            $arr['DZ']='Algeria';
            $arr['AS']='American Samoa';
            $arr['AD']='Andorra';
            $arr['AO']='Angola';
            $arr['AI']='Anguilla';
            $arr['AQ']='Antarctica';
            $arr['AG']='Antigua And Barbuda';
            $arr['AR']='Argentina';
            $arr['AM']='Armenia';
            $arr['AW']='Aruba';
            $arr['AU']='Australia';
            $arr['AT']='Austria';
            $arr['AZ']='Azerbaijan';
            $arr['BS']='Bahamas';
            $arr['BH']='Bahrain';
            $arr['BD']='Bangladesh';
            $arr['BB']='Barbados';
            $arr['BY']='Belarus';
            $arr['BE']='Belgium';
            $arr['BZ']='Belize';
            $arr['BJ']='Benin';
            $arr['BM']='Bermuda';
            $arr['BT']='Bhutan';
            $arr['BO']='Bolivia, Plurinational State Of';
            $arr['BA']='Bosnia And Herzegovina';
            $arr['BW']='Botswana';
            $arr['BV']='Bouvet Island';
            $arr['BR']='Brazil';
            $arr['IO']='British Indian Ocean Territory';
            $arr['BN']='Brunei Darussalam';
            $arr['BG']='Bulgaria';
            $arr['BF']='Burkina Faso';
            $arr['BI']='Burundi';
            $arr['KH']='Cambodia';
            $arr['CM']='Cameroon';
            $arr['CA']='Canada';
            $arr['CV']='Cape Verde';
            $arr['KY']='Cayman Islands';
            $arr['CF']='Central African Republic';
            $arr['TD']='Chad';
            $arr['CL']='Chile';
            $arr['CN']='China';
            $arr['CX']='Christmas Island';
            $arr['CC']='Cocos (Keeling) Islands';
            $arr['CO']='Colombia';
            $arr['KM']='Comoros';
            $arr['CG']='Congo';
            $arr['CD']='Congo, The Democratic Republic Of The';
            $arr['CK']='Cook Islands';
            $arr['CR']='Costa Rica';
            $arr['CI']='Côte D\'ivoire';
            $arr['HR']='Croatia';
            $arr['CU']='Cuba';
            $arr['CY']='Cyprus';
            $arr['CZ']='Czech Republic';
            $arr['DK']='Denmark';
            $arr['DJ']='Djibouti';
            $arr['DM']='Dominica';
            $arr['DO']='Dominican Republic';
            $arr['EC']='Ecuador';
            $arr['EG']='Egypt';
            $arr['SV']='El Salvador';
            $arr['GQ']='Equatorial Guinea';
            $arr['ER']='Eritrea';
            $arr['EE']='Estonia';
            $arr['ET']='Ethiopia';
            $arr['FK']='Falkland Islands (Malvinas)';
            $arr['FO']='Faroe Islands';
            $arr['FJ']='Fiji';
            $arr['FI']='Finland';
            $arr['FR']='France';
            $arr['GF']='French Guiana';
            $arr['PF']='French Polynesia';
            $arr['TF']='French Southern Territories';
            $arr['GA']='Gabon';
            $arr['GM']='Gambia';
            $arr['GE']='Georgia';
            $arr['DE']='Germany';
            $arr['GH']='Ghana';
            $arr['GI']='Gibraltar';
            $arr['GR']='Greece';
            $arr['GL']='Greenland';
            $arr['GD']='Grenada';
            $arr['GP']='Guadeloupe';
            $arr['GU']='Guam';
            $arr['GT']='Guatemala';
            $arr['GG']='Guernsey';
            $arr['GN']='Guinea';
            $arr['GW']='Guinea-Bissau';
            $arr['GY']='Guyana';
            $arr['HT']='Haiti';
            $arr['HM']='Heard Island And Mcdonald Islands';
            $arr['VA']='Holy See (Vatican City State)';
            $arr['HN']='Honduras';
            $arr['HK']='Hong Kong';
            $arr['HU']='Hungary';
            $arr['IS']='Iceland';
            $arr['IN']='India';
            $arr['ID']='Indonesia';
            $arr['IR']='Iran, Islamic Republic Of';
            $arr['IQ']='Iraq';
            $arr['IE']='Ireland';
            $arr['IM']='Isle Of Man';
            $arr['IL']='Israel';
            $arr['IT']='Italy';
            $arr['JM']='Jamaica';
            $arr['JP']='Japan';
            $arr['JE']='Jersey';
            $arr['JO']='Jordan';
            $arr['KZ']='Kazakhstan';
            $arr['KE']='Kenya';
            $arr['KI']='Kiribati';
            $arr['KP']='Korea, Democratic People\'s Republic Of';
            $arr['KR']='Korea, Republic Of';
            $arr['KW']='Kuwait';
            $arr['KG']='Kyrgyzstan';
            $arr['LA']='Lao People\'s Democratic Republic';
            $arr['LV']='Latvia';
            $arr['LB']='Lebanon';
            $arr['LS']='Lesotho';
            $arr['LR']='Liberia';
            $arr['LY']='Libyan Arab Jamahiriya';
            $arr['LI']='Liechtenstein';
            $arr['LT']='Lithuania';
            $arr['LU']='Luxembourg';
            $arr['MO']='Macao';
            $arr['MK']='Macedonia, The Former Yugoslav Republic Of';
            $arr['MG']='Madagascar';
            $arr['MW']='Malawi';
            $arr['MY']='Malaysia';
            $arr['MV']='Maldives';
            $arr['ML']='Mali';
            $arr['MT']='Malta';
            $arr['MH']='Marshall Islands';
            $arr['MQ']='Martinique';
            $arr['MR']='Mauritania';
            $arr['MU']='Mauritius';
            $arr['YT']='Mayotte';
            $arr['MX']='Mexico';
            $arr['FM']='Micronesia, Federated States Of';
            $arr['MD']='Moldova, Republic Of';
            $arr['MC']='Monaco';
            $arr['MN']='Mongolia';
            $arr['ME']='Montenegro';
            $arr['MS']='Montserrat';
            $arr['MA']='Morocco';
            $arr['MZ']='Mozambique';
            $arr['MM']='Myanmar';
            $arr['NA']='Namibia';
            $arr['NR']='Nauru';
            $arr['NP']='Nepal';
            $arr['NL']='Netherlands';
            $arr['AN']='Netherlands Antilles';
            $arr['NC']='New Caledonia';
            $arr['NZ']='New Zealand';
            $arr['NI']='Nicaragua';
            $arr['NE']='Niger';
            $arr['NG']='Nigeria';
            $arr['NU']='Niue';
            $arr['NF']='Norfolk Island';
            $arr['MP']='Northern Mariana Islands';
            $arr['NO']='Norway';
            $arr['OM']='Oman';
            $arr['PK']='Pakistan';
            $arr['PW']='Palau';
            $arr['PS']='Palestinian Territory, Occupied';
            $arr['PA']='Panama';
            $arr['PG']='Papua New Guinea';
            $arr['PY']='Paraguay';
            $arr['PE']='Peru';
            $arr['PH']='Philippines';
            $arr['PN']='Pitcairn';
            $arr['PL']='Poland';
            $arr['PT']='Portugal';
            $arr['PR']='Puerto Rico';
            $arr['QA']='Qatar';
            $arr['RE']='Reunion';
            $arr['RO']='Romania';
            $arr['RU']='Russian Federation';
            $arr['RW']='Rwanda';
            $arr['BL']='Saint Barthlemy';
            $arr['SH']='Saint Helena';
            $arr['KN']='Saint Kitts And Nevis';
            $arr['LC']='Saint Lucia';
            $arr['MF']='Saint Martin';
            $arr['PM']='Saint Pierre And Miquelon';
            $arr['VC']='Saint Vincent And The Grenadines';
            $arr['WS']='Samoa';
            $arr['SM']='San Marino';
            $arr['ST']='Sao Tome And Principe';
            $arr['SA']='Saudi Arabia';
            $arr['SN']='Senegal';
            $arr['RS']='Serbia';
            $arr['SC']='Seychelles';
            $arr['SL']='Sierra Leone';
            $arr['SG']='Singapore';
            $arr['SK']='Slovakia';
            $arr['SI']='Slovenia';
            $arr['SB']='Solomon Islands';
            $arr['SO']='Somalia';
            $arr['ZA']='South Africa';
            $arr['GS']='South Georgia And The South Sandwich Islands';
            $arr['ES']='Spain';
            $arr['LK']='Sri Lanka';
            $arr['SD']='Sudan';
            $arr['SR']='Suriname';
            $arr['SJ']='Svalbard And Jan Mayen';
            $arr['SZ']='Swaziland';
            $arr['SE']='Sweden';
            $arr['CH']='Switzerland';
            $arr['SY']='Syrian Arab Republic';
            $arr['TW']='Taiwan, Province Of China';
            $arr['TJ']='Tajikistan';
            $arr['TZ']='Tanzania, United Republic Of';
            $arr['TH']='Thailand';
            $arr['TL']='Timor-Leste';
            $arr['TG']='Togo';
            $arr['TK']='Tokelau';
            $arr['TO']='Tonga';
            $arr['TT']='Trinidad And Tobago';
            $arr['TN']='Tunisia';
            $arr['TR']='Turkey';
            $arr['TM']='Turkmenistan';
            $arr['TC']='Turks And Caicos Islands';
            $arr['TV']='Tuvalu';
            $arr['UG']='Uganda';
            $arr['UA']='Ukraine';
            $arr['AE']='United Arab Emirates';
            $arr['GB']='United Kingdom';
            $arr['US']='United States';
            $arr['UM']='United States Minor Outlying Islands';
            $arr['UY']='Uruguay';
            $arr['UZ']='Uzbekistan';
            $arr['VU']='Vanuatu';
            $arr['VE']='Venezuela';
            $arr['VN']='Viet Nam';
            $arr['VG']='Virgin Islands, British';
            $arr['VI']='Virgin Islands, U.s.';
            $arr['WF']='Wallis And Futuna';
            $arr['EH']='Western Sahara';
            $arr['YE']='Yemen';
            $arr['ZM']='Zambia';
            $arr['ZW']='Zimbabwe';
            $arr['BQ']='Bonaire, Saint Eustatius and Saba';
            $arr['CW']='Curaçao';
            $arr['SX']='Sint Maarten (Dutch part)';
            $arr['SS']='South Sudan';
            
            /** [ ERROR: CODE NOT RECOGNISED ] */
            if(empty($arr[strtoupper($ISO2)])){return($ISO2);}
            
            /** [ RETURN: COUNTRY NAME ] */
            return($arr[strtoupper($ISO2)]);
            }       
        }
?>