<?php
    /** [ LANGUAGE: STRUCTURE: TOKENS ] */
    $_ADDONLANG['nav'][1]  = 'Configuration';
    $_ADDONLANG['nav'][2]  = 'Write Letter';
    $_ADDONLANG['nav'][3]  = 'Invoices';
    $_ADDONLANG['nav'][4]  = 'Address Verification';
    $_ADDONLANG['nav'][5]  = 'Report';
    $_ADDONLANG['nav'][10] = 'Address Verification Code';
    
    /** [ LANGUAGE: CONFIGURATION: TOKENS ] */
    $_ADDONLANG['configuration']['t1']    = 'API Connection Settings';
    $_ADDONLANG['configuration']['t2']    = 'Automated Mail'; 
    $_ADDONLANG['configuration']['t3']    = 'Address Verification'; 
    $_ADDONLANG['configuration']['t4']    = 'Address Verification Letter Content'; 
    $_ADDONLANG['configuration']['t5']    = 'License Settings';
    $_ADDONLANG['configuration']['t6']    = 'Display Settings';
    $_ADDONLANG['configuration']['r1']    = 'Email Address';
    $_ADDONLANG['configuration']['r2']    = 'Installation Key';
    $_ADDONLANG['configuration']['r4']    = 'Module Mode'; 
    $_ADDONLANG['configuration']['r5']    = 'Printing Ink'; 
    $_ADDONLANG['configuration']['r6']    = 'Printing Paper ( gsm )';     
    $_ADDONLANG['configuration']['r7']    = 'Notification Email Address';
    $_ADDONLANG['configuration']['r8']    = 'Notification Time Frame';
    $_ADDONLANG['configuration']['r9']    = 'Verify customers when ordering product';
    $_ADDONLANG['configuration']['r10']   = 'Verify customers when ordering domain name';
    $_ADDONLANG['configuration']['r11']   = 'License Key';
    $_ADDONLANG['configuration']['r12']   = 'Home Page Hook';
    $_ADDONLANG['configuration']['r13']   = 'Client Summary Hook';
    $_ADDONLANG['configuration']['btn']   = 'Save Configurations';
    
    /** [ LANGUAGE: LETTER: TOKENS ] */
    $_ADDONLANG['letter']['t1']     = 'Customer Search';
    $_ADDONLANG['letter']['t2']     = 'Customer Information';
    $_ADDONLANG['letter']['t3']     = 'Printing Information'; 
    $_ADDONLANG['letter']['t4']     = 'Letter Content';
    $_ADDONLANG['letter']['b0_1']   = 'Customer Type'; 
    $_ADDONLANG['letter']['b0_2']   = 'Customer ID '; 
    $_ADDONLANG['letter']['b1_1']   = 'ID'; 
    $_ADDONLANG['letter']['b1_2']   = 'Name';
    $_ADDONLANG['letter']['b1_3']   = 'Company Name'; 
    $_ADDONLANG['letter']['b1_4']   = 'Email Address'; 
    $_ADDONLANG['letter']['b1_5']   = 'Address 1';
    $_ADDONLANG['letter']['b1_6']   = 'Address 2';
    $_ADDONLANG['letter']['b1_7']   = 'City';
    $_ADDONLANG['letter']['b1_8']   = 'State';
    $_ADDONLANG['letter']['b1_9']   = 'Postcode';
    $_ADDONLANG['letter']['b1_10']  = 'Country';
    $_ADDONLANG['letter']['b2_1']   = 'Printing Ink'; 
    $_ADDONLANG['letter']['b2_2']   = 'Printing Paper ( gsm )';
    $_ADDONLANG['letter']['b2_3']   = 'Printing Station';
    $_ADDONLANG['letter']['b2_3_1'] = 'Automatic Routing';
    $_ADDONLANG['letter']['b2_4']   = 'Module Mode'; 
    $_ADDONLANG['letter']['b0_btn'] = 'Search';
    $_ADDONLANG['letter']['b2_btn'] = 'Mail Letter';
    
    /** [ LANGUAGE: INVOICES: TOKENS ] */
    $_ADDONLANG['invoices']['t1']       = 'Invoice Search';
    $_ADDONLANG['invoices']['t2']       = 'Customer Information'; 
    $_ADDONLANG['invoices']['t3']       = 'Invoice Information'; 
    $_ADDONLANG['invoices']['t4']       = 'Printing Information'; 
    $_ADDONLANG['invoices']['b0_1']     = 'Invoice ID'; 
    $_ADDONLANG['invoices']['b1_1']     = 'Client ID'; 
    $_ADDONLANG['invoices']['b1_2']     = 'Name';
    $_ADDONLANG['invoices']['b1_3']     = 'Company Name'; 
    $_ADDONLANG['invoices']['b1_4']     = 'Email Address'; 
    $_ADDONLANG['invoices']['b1_5']     = 'Address 1';
    $_ADDONLANG['invoices']['b1_6']     = 'Address 2';
    $_ADDONLANG['invoices']['b1_7']     = 'City';
    $_ADDONLANG['invoices']['b1_8']     = 'State';
    $_ADDONLANG['invoices']['b1_9']     = 'Postcode';
    $_ADDONLANG['invoices']['b1_10']    = 'Country';
    $_ADDONLANG['invoices']['b2_1']     = 'Invoice ID'; 
    $_ADDONLANG['invoices']['b2_2']     = 'Invoice Date';
    $_ADDONLANG['invoices']['b2_3']     = 'Date Due';
    $_ADDONLANG['invoices']['b2_4']     = 'Date Paid'; 
    $_ADDONLANG['invoices']['b2_5']     = 'Total'; 
    $_ADDONLANG['invoices']['b2_6']     = 'Payment Method';
    $_ADDONLANG['invoices']['b2_7']     = 'Status';
    $_ADDONLANG['invoices']['b3_1']     = 'Printing Ink'; 
    $_ADDONLANG['invoices']['b3_2']     = 'Printing Paper ( gsm )';
    $_ADDONLANG['invoices']['b3_3']     = 'Printing Station';
    $_ADDONLANG['invoices']['b3_3_1']   = 'Automatic Routing';
    $_ADDONLANG['invoices']['b3_4']     = 'Module Mode';  
    $_ADDONLANG['invoices']['b0_btn']   = 'Search';
    $_ADDONLANG['invoices']['b3_btn']   = 'Mail Invoice';

    /** [ LANGUAGE: VERIFICATION: TOKENS ] */
    $_ADDONLANG['verification']['t1']          = 'Customer Search';
    $_ADDONLANG['verification']['t2']          = 'Customer Information'; 
    $_ADDONLANG['verification']['t3']          = 'Verification Information';
    $_ADDONLANG['verification']['t4']          = 'Printing Information'; 
    $_ADDONLANG['verification']['b1_1']        = 'ID'; 
    $_ADDONLANG['verification']['b1_2']        = 'Name';
    $_ADDONLANG['verification']['b1_3']        = 'Company Name'; 
    $_ADDONLANG['verification']['b1_4']        = 'Email Address'; 
    $_ADDONLANG['verification']['b1_5']        = 'Address 1';
    $_ADDONLANG['verification']['b1_6']        = 'Address 2';
    $_ADDONLANG['verification']['b1_7']        = 'City';
    $_ADDONLANG['verification']['b1_8']        = 'State';
    $_ADDONLANG['verification']['b1_9']        = 'Postcode';
    $_ADDONLANG['verification']['b1_10']       = 'Country';
    $_ADDONLANG['verification']['b2_1']        = 'Requested Date'; 
    $_ADDONLANG['verification']['b2_6']        = 'Due Date';
    $_ADDONLANG['verification']['b2_2']        = 'Completed Date';
    $_ADDONLANG['verification']['b2_3']        = 'Status';
    $_ADDONLANG['verification']['b2_4']        = 'Code';
    $_ADDONLANG['verification']['b2_5']        = 'Docsaway Letter Reference'; 
    $_ADDONLANG['verification']['b3_1']        = 'Printing Ink'; 
    $_ADDONLANG['verification']['b3_2']        = 'Printing Paper ( gsm )';
    $_ADDONLANG['verification']['b3_3']        = 'Printing Station';
    $_ADDONLANG['verification']['b3_3_1']      = 'Automatic Routing';
    $_ADDONLANG['verification']['b3_4']        = 'Module Mode';  
    $_ADDONLANG['verification']['b0_btn']      = 'Search';
    $_ADDONLANG['verification']['b3_btn']      = 'Mail Verification Letter';
    $_ADDONLANG['verification']['status'][0]   = 'Not Requested';
    $_ADDONLANG['verification']['status'][1]   = 'Verified';  
    $_ADDONLANG['verification']['status'][2]   = 'Pending Verification';  
    $_ADDONLANG['verification']['status'][3]   = 'Failed Verification';  
    
    /** [ LANGUAGE: VERIFICATION: CLIENT TOKENS ] */
    $_ADDONLANG['verification']['c_title'] = 'Address Verification';
    $_ADDONLANG['verification']['c_p1']    = 'To complete your address verification, please enter the six number verification code in the field below and click the submit button.';
    $_ADDONLANG['verification']['c_r1']    = 'Choose Contact';
    $_ADDONLANG['verification']['c_r2']    = 'Enter Verification Code';    
    $_ADDONLANG['verification']['c_btn']   = 'Submit';
    
    /** [ LANGUAGE: REPORT: TOKENS ] */
    $_ADDONLANG['report']['t1']                      = 'Verification Filter';
    $_ADDONLANG['report']['t2']                      = 'Verification Information'; 
    $_ADDONLANG['report']['search_status']           = 'Show Status';
    $_ADDONLANG['report']['search_status_option'][0] = 'All';
    $_ADDONLANG['report']['btn1']                    = 'Submit';
    $_ADDONLANG['report']['btn2']                    = 'Download';
    $_ADDONLANG['report']['btn3']                    = 'Previous';
    $_ADDONLANG['report']['btn4']                    = 'Next';
    $_ADDONLANG['report']['h1']                      = 'ID';
    $_ADDONLANG['report']['h2']                      = 'Name';
    $_ADDONLANG['report']['h3']                      = 'Requested Date';
    $_ADDONLANG['report']['h4']                      = 'Due Date';
    $_ADDONLANG['report']['h5']                      = 'Completed Date';
    $_ADDONLANG['report']['h6']                      = 'Status';
    $_ADDONLANG['report']['h7']                      = 'Certificate';
    $_ADDONLANG['report']['empty']                   = 'No client verification records have been found.';
    
    /** [ LANGUAGE: CERTIFICATE: TOKENS ] */
    $_ADDONLANG['certificate']['title']              = 'Client Address Verification Certificate';
    $_ADDONLANG['certificate']['recipient']          = 'Recipient Address';
    $_ADDONLANG['certificate']['requested_date']     = 'Verification Letter Sent'; 
    $_ADDONLANG['certificate']['status']             = 'Verification Status';
    $_ADDONLANG['certificate']['completed_date']     = 'Date Verified';
    $_ADDONLANG['certificate']['reference']          = 'Docsaway Letter Reference';
    $_ADDONLANG['certificate']['audit']              = 'Docsaway Audit';
    $_ADDONLANG['certificate']['audit_instructions'] = 'To view the audit information of this letter please goto {value:url} and enter the Docsaway Letter Reference {value:reference} within the tracker field.';
    
    /** [ LANGUAGE: VALIDATION: TOKENS ] */
    $_ADDONLANG['validation']['t1'] = 'Form Validation';
    $_ADDONLANG['validation']['m1'] = 'is a mandatory field';
    $_ADDONLANG['validation']['m2'] = 'is not in a valid format';
    $_ADDONLANG['validation']['m3'] = 'has exceeded the maximum allowed size';
    $_ADDONLANG['validation']['m4'] = 'must be a numeric value';
    
    /** [ LANGUAGE: SIDEBAR: TOKENS ] */
    $_ADDONLANG['sidebar']['r6']   = 'Addon Module';
    $_ADDONLANG['sidebar']['r1']   = 'Account Holder';
    $_ADDONLANG['sidebar']['r2']   = 'Account Reference';
    $_ADDONLANG['sidebar']['r3']   = 'Account Balance';
    $_ADDONLANG['sidebar']['r4']   = 'Total Sent';
    $_ADDONLANG['sidebar']['r4_1'] = 'Documents';
    $_ADDONLANG['sidebar']['r5']   = 'Module Mode'; 
    $_ADDONLANG['sidebar']['r7']   = 'Module User Guide';
    $_ADDONLANG['sidebar']['r7_1'] = 'View Manual';
    $_ADDONLANG['sidebar']['r8']   = 'Docsaway Website';
    $_ADDONLANG['sidebar']['r8_1'] = 'View Account';    
    
    /** [ LANGUAGE: HOME: TOKENS ] */
    $_ADDONLANG['home']['c1']   = 'Account Balance';
    $_ADDONLANG['home']['c2']   = 'Total Sent';
    $_ADDONLANG['home']['c2_1'] = 'Documents';
    $_ADDONLANG['home']['c3']   = 'Module Mode';    
    
    /** [ LANGUAGE: CLIENT SUMMARY: TOKENS ] */
    $_ADDONLANG['client_summary']['t1']  = 'Address Verification';
    $_ADDONLANG['client_summary']['r1']  = 'Status';
    $_ADDONLANG['client_summary']['r2']  = 'Name';
    $_ADDONLANG['client_summary']['r3']  = 'Company Name';
    $_ADDONLANG['client_summary']['r4']  = 'Email Address';
    $_ADDONLANG['client_summary']['r5']  = 'Address1';
    $_ADDONLANG['client_summary']['r6']  = 'Address2';
    $_ADDONLANG['client_summary']['r7']  = 'City';
    $_ADDONLANG['client_summary']['r8']  = 'State/Region';
    $_ADDONLANG['client_summary']['r9']  = 'Postcode';
    $_ADDONLANG['client_summary']['r10'] = 'Country';
    $_ADDONLANG['client_summary']['r11'] = 'Docsaway Letter Reference';
    $_ADDONLANG['client_summary']['r12'] = 'Requested Date';
    $_ADDONLANG['client_summary']['r13'] = 'Completed Date';
    $_ADDONLANG['client_summary']['r14'] = 'Code';
    
    /** [ LANGUAGE: EXTENSION ] */
    $_ADDONLANG['extension']['m2'] = 'Docsaway required PHP extension not found ( mbstring )';
    $_ADDONLANG['extension']['m3'] = 'Docsaway required PHP extension not found ( mcrypt )';
    $_ADDONLANG['extension']['m4'] = 'Docsaway required PHP extension not found ( curl )';    
    
    /** [ LANGUAGE: ALERT: TOKENS ] */    
    $_ADDONLANG['alert']['license']['m1']       = 'License failure: {TOKEN:DESCRIPTION} ( code: {TOKEN:CODE} )';
    $_ADDONLANG['alert']['configuration']['m1'] = 'Configurations not saved';
    $_ADDONLANG['alert']['configuration']['m2'] = 'Configurations saved';
    $_ADDONLANG['alert']['configuration']['m3'] = 'Configurations letter content not saved';
    $_ADDONLANG['alert']['configuration']['m4'] = 'Custom client field not created';
    $_ADDONLANG['alert']['invoice']['m1']       = 'Invoice id not specified';
    $_ADDONLANG['alert']['invoice']['m2']       = 'Failed to send Invoice( {TOKEN:ID} ) to docsaway for mailing';
    $_ADDONLANG['alert']['invoice']['m3']       = 'Failed to send Invoice( {TOKEN:ID} ) PDF file not found';
    $_ADDONLANG['alert']['invoice']['m4']       = 'Failed to send Invoice( {TOKEN:ID} ) API connection failure ( errno:{TOKEN:ERRNO} )';
    $_ADDONLANG['alert']['invoice']['m5']       = 'Failed to send Invoice( {TOKEN:ID} ) insufficient funds ( errno:{TOKEN:ERRNO} )';
    $_ADDONLANG['alert']['invoice']['m6']       = 'Failed to send Invoice( {TOKEN:ID} ) API error number( {TOKEN:ERRNO} )';
    $_ADDONLANG['alert']['invoice']['m7']       = 'Invoice Sent: Docsaway transaction reference( {TOKEN:REFERENCE} )';
    $_ADDONLANG['alert']['verification']['m1']  = 'Client id not specified';
    $_ADDONLANG['alert']['verification']['m3']  = 'Failed to send verification letter( client:{TOKEN:ID} ) to docsaway for mailing';
    $_ADDONLANG['alert']['verification']['m4']  = 'Failed to send verification letter( client:{TOKEN:ID} ) API connection failure ( errno:{TOKEN:ERRNO} )';
    $_ADDONLANG['alert']['verification']['m5']  = 'Failed to send verification letter( client:{TOKEN:ID} ) insufficient funds ( errno:{TOKEN:ERRNO} )';
    $_ADDONLANG['alert']['verification']['m6']  = 'Failed to send verification letter( client:{TOKEN:ID} ) API error number( {TOKEN:ERRNO} )';
    $_ADDONLANG['alert']['verification']['m7']  = 'Verification Letter Sent: Docsaway transaction reference( {TOKEN:REFERENCE} )';    
    $_ADDONLANG['alert']['verification']['m8']  = 'Failed to store verification letter reference( {TOKEN:REFERENCE} ) in database';    
    $_ADDONLANG['alert']['certificate']['m1']   = 'Failed to download verification certificate( client{TOKEN:ID} )'; 
    $_ADDONLANG['alert']['letter']['m1']        = 'Client id not specified';
    $_ADDONLANG['alert']['letter']['m3']        = 'Failed to send letter( client:{TOKEN:ID} ) to docsaway for mailing';
    $_ADDONLANG['alert']['letter']['m4']        = 'Failed to send letter( client:{TOKEN:ID} ) API connection failure ( errno:{TOKEN:ERRNO} )';
    $_ADDONLANG['alert']['letter']['m5']        = 'Failed to send letter( client:{TOKEN:ID} ) insufficient funds ( errno:{TOKEN:ERRNO} )';
    $_ADDONLANG['alert']['letter']['m6']        = 'Failed to send letter( client:{TOKEN:ID} ) API error number( {TOKEN:ERRNO} )';
    $_ADDONLANG['alert']['letter']['m7']        = 'Letter Sent: Docsaway transaction reference( {TOKEN:REFERENCE} )';     
    
    /** [ LANGUAGE: ALERT: CLIENT TOKENS ] */
    $_ADDONLANG['alert']['verification']['c_m1'] = 'A problem has occurred while verifying your code';
    $_ADDONLANG['alert']['verification']['c_m2'] = 'The code you have entered does not match our records. Please retry';
    $_ADDONLANG['alert']['verification']['c_m3'] = 'Thank you for completing your address verification';
    $_ADDONLANG['alert']['verification']['c_m4'] = 'Address has already been verified';
    $_ADDONLANG['alert']['verification']['c_m5'] = 'Failure to verify address with specified timeframe';
    
    /** [ LANGUAGE: ACTIVITY LOG ] */
    $_ADDONLANG['log']['license']['m1']      = 'Modulized Docsaway: License failure: {TOKEN:DESCRIPTION} ( code: {TOKEN:CODE} )';
    $_ADDONLANG['log']['invoice']['m1']      = 'Modulized Docsaway: Paper Invoice Failure: invoice id not set';
    $_ADDONLANG['log']['invoice']['m2']      = 'Modulized Docsaway: Paper Invoice Failure: invoice({TOKEN:ID}) not found';
    $_ADDONLANG['log']['invoice']['m3']      = 'Modulized Docsaway: Paper Invoice Failure: client({TOKEN:ID}) not found';
    $_ADDONLANG['log']['invoice']['m4']      = 'Modulized Docsaway: Paper Invoice Failure: API connection failure ( invoice:{TOKEN:ID} | errno:{TOKEN:ERRNO} )';
    $_ADDONLANG['log']['invoice']['m5']      = 'Modulized Docsaway: Paper Invoice Failure: insufficient funds ( invoice:{TOKEN:ID} | errno:{TOKEN:ERRNO} )';
    $_ADDONLANG['log']['invoice']['m6']      = 'Modulized Docsaway: Paper Invoice Failure: invoice not sent ( invoice:{TOKEN:ID} | errno:{TOKEN:ERRNO} )';
    $_ADDONLANG['log']['invoice']['m7']      = 'Modulized Docsaway: Paper Invoice Mailed: transaction reference {TOKEN:REFERENCE} ( invoice:{TOKEN:ID} )';
    $_ADDONLANG['log']['invoice']['m8']      = 'Modulized Docsaway: Paper Invoice Failure: PDF invoice file( {TOKEN:ID} ) not found';
    $_ADDONLANG['log']['invoice']['m9']      = 'Modulized Docsaway: Paper Invoice Discarded: invoice({TOKEN:INVOICE_ID}) not sent ( {TOKEN:CUSTOM_FIELD} checkbox not selected for client({TOKEN:CLIENT_ID}) )';
    $_ADDONLANG['log']['verification']['m0'] = 'Modulized Docsaway: Paper Verification Letter Failure: letter not sent';
    $_ADDONLANG['log']['verification']['m1'] = 'Modulized Docsaway: Paper Verification Letter Failure: API connection failure ( client:{TOKEN:ID} | errno:{TOKEN:ERRNO} )';
    $_ADDONLANG['log']['verification']['m2'] = 'Modulized Docsaway: Paper Verification Letter Failure: insufficient funds ( client:{TOKEN:ID} | errno:{TOKEN:ERRNO} )';
    $_ADDONLANG['log']['verification']['m3'] = 'Modulized Docsaway: Paper Verification Letter Mailed: transaction reference {TOKEN:REFERENCE} ( client:{TOKEN:ID} )';
    $_ADDONLANG['log']['verification']['m4'] = 'Modulized Docsaway: Paper Verification Letter Failure: letter not sent ( client:{TOKEN:ID} | errno:{TOKEN:ERRNO} )';
    $_ADDONLANG['log']['verification']['m5'] = 'Modulized Docsaway: Paper Verification Letter Failure: letter reference ( {TOKEN:REFERENCE} ) not stored in database';    
    $_ADDONLANG['log']['email']['m1']        = 'Modulized Docsaway: Email Failure: Address verification overdue email sending failure';    
    $_ADDONLANG['log']['email']['m2']        = 'Modulized Docsaway: Email Failure: Address verification completed email sending failure';
    $_ADDONLANG['log']['letter']['m1']       = 'Modulized Docsaway: Paper Letter Failure: API connection failure ( client:{TOKEN:ID} | errno:{TOKEN:ERRNO} )';
    $_ADDONLANG['log']['letter']['m2']       = 'Modulized Docsaway: Paper Letter Failure: insufficient funds ( client:{TOKEN:ID} | errno:{TOKEN:ERRNO} )';
    $_ADDONLANG['log']['letter']['m3']       = 'Modulized Docsaway: Paper Letter Mailed: transaction reference {TOKEN:REFERENCE} ( client:{TOKEN:ID} )';
    $_ADDONLANG['log']['letter']['m4']       = 'Modulized Docsaway: Paper Letter Failure: letter not sent ( client:{TOKEN:ID} | errno:{TOKEN:ERRNO} )';    
    $_ADDONLANG['log']['cronjob']['m1']      = 'Modulized Docsaway: Cronjob triggered successfully, {TOKEN:COUNT} overdue client verifications detected';    
    
    /** [ LANGUAGE: EMAIL ] */    
    $_ADDONLANG['email']['overdue']['subject']  = 'WHMCS: Address Verification Overdue';
    $_ADDONLANG['email']['verified']['subject'] = 'WHMCS: Address Verified';
    $_ADDONLANG['email']['clientID']            = 'Client ID';
    $_ADDONLANG['email']['contactID']           = 'Contact ID';
    $_ADDONLANG['email']['name']                = 'Name';
    $_ADDONLANG['email']['requestedDate']       = 'Requested Date';
    $_ADDONLANG['email']['dueDate']             = 'Due Date';
?>

